// (C) dP
// Ботва с совсем рандомом =)

#include <iostream>
#include <fstream>
#include <vector>
#include <cmath>
#include <cstdlib>
#include <ctime>

using namespace std;

ifstream fi ("hollow.in");
ofstream fo ("hollow.out");

long n;

const double PI = 3.14159265358979323846;

double rd () {
	return (rand()%10001)/10000.0;
}

int main () {
	
	fi >> n;

	long k;

	srand(time(NULL));

	for (k=0;k<n;k++) fo << 1.44*rd() <<" "<<1.44*rd() << endl;

	return 0;
}
